All endpoints

Download InfluxDB API Spec

All InfluxDB API endpoints, sorted by path.

v2-compatible API

GET /api/v2 List all top level routes GET /api/v2 List all top level routes GET /api/v2/authorizations List authorizations GET /api/v2/authorizations List authorizations POST /api/v2/authorizations Create an authorization POST /api/v2/authorizations Create an authorization DELETE /api/v2/authorizations/{authID} Delete an authorization DELETE /api/v2/authorizations/{authID} Delete an authorization GET /api/v2/authorizations/{authID} Retrieve an authorization GET /api/v2/authorizations/{authID} Retrieve an authorization PATCH /api/v2/authorizations/{authID} Update an API token to be active or inactive PATCH /api/v2/authorizations/{authID} Update an API token to be active or inactive GET /api/v2/backup/kv Download snapshot of metadata stored in the server's embedded KV store. Don't use with InfluxDB versions greater than InfluxDB 2.1.x. GET /api/v2/backup/metadata Download snapshot of all metadata in the server GET /api/v2/backup/shards/{shardID} Download snapshot of all TSM data in a shard GET /api/v2/buckets List buckets POST /api/v2/buckets Create a bucket DELETE /api/v2/buckets/{bucketID} Delete a bucket GET /api/v2/buckets/{bucketID} Retrieve a bucket PATCH /api/v2/buckets/{bucketID} Update a bucket GET /api/v2/buckets/{bucketID}/labels List all labels for a bucket POST /api/v2/buckets/{bucketID}/labels Add a label to a bucket DELETE /api/v2/buckets/{bucketID}/labels/{labelID} Delete a label from a bucket GET /api/v2/buckets/{bucketID}/members List all users with member privileges for a bucket POST /api/v2/buckets/{bucketID}/members Add a member to a bucket DELETE /api/v2/buckets/{bucketID}/members/{userID} Remove a member from a bucket GET /api/v2/buckets/{bucketID}/owners List all owners of a bucket POST /api/v2/buckets/{bucketID}/owners Add an owner to a bucket DELETE /api/v2/buckets/{bucketID}/owners/{userID} Remove an owner from a bucket GET /api/v2/checks List all checks POST /api/v2/checks Add new check DELETE /api/v2/checks/{checkID} Delete a check GET /api/v2/checks/{checkID} Retrieve a check PATCH /api/v2/checks/{checkID} Update a check PUT /api/v2/checks/{checkID} Update a check GET /api/v2/checks/{checkID}/labels List all labels for a check POST /api/v2/checks/{checkID}/labels Add a label to a check DELETE /api/v2/checks/{checkID}/labels/{labelID} Delete label from a check GET /api/v2/checks/{checkID}/query Retrieve a check query GET /api/v2/config Retrieve runtime configuration GET /api/v2/config Retrieve runtime configuration GET /api/v2/dashboards List dashboards POST /api/v2/dashboards Create a dashboard DELETE /api/v2/dashboards/{dashboardID} Delete a dashboard GET /api/v2/dashboards/{dashboardID} Retrieve a dashboard PATCH /api/v2/dashboards/{dashboardID} Update a dashboard POST /api/v2/dashboards/{dashboardID}/cells Create a dashboard cell POST /api/v2/dashboards/{dashboardID}/cells Create a dashboard cell PUT /api/v2/dashboards/{dashboardID}/cells Replace cells in a dashboard PUT /api/v2/dashboards/{dashboardID}/cells Replace cells in a dashboard DELETE /api/v2/dashboards/{dashboardID}/cells/{cellID} Delete a dashboard cell DELETE /api/v2/dashboards/{dashboardID}/cells/{cellID} Delete a dashboard cell PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID} Update the non-positional information related to a cell PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID} Update the non-positional information related to a cell GET /api/v2/dashboards/{dashboardID}/cells/{cellID}/view Retrieve the view for a cell GET /api/v2/dashboards/{dashboardID}/cells/{cellID}/view Retrieve the view for a cell GET /api/v2/dashboards/{dashboardID}/cells/{cellID}/view Retrieve the view for a cell PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}/view Update the view for a cell PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}/view Update the view for a cell PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}/view Update the view for a cell GET /api/v2/dashboards/{dashboardID}/labels List all labels for a dashboard POST /api/v2/dashboards/{dashboardID}/labels Add a label to a dashboard DELETE /api/v2/dashboards/{dashboardID}/labels/{labelID} Delete a label from a dashboard GET /api/v2/dashboards/{dashboardID}/members List all dashboard members POST /api/v2/dashboards/{dashboardID}/members Add a member to a dashboard DELETE /api/v2/dashboards/{dashboardID}/members/{userID} Remove a member from a dashboard GET /api/v2/dashboards/{dashboardID}/owners List all dashboard owners POST /api/v2/dashboards/{dashboardID}/owners Add an owner to a dashboard DELETE /api/v2/dashboards/{dashboardID}/owners/{userID} Remove an owner from a dashboard GET /api/v2/dbrps List database retention policy mappings POST /api/v2/dbrps Add a database retention policy mapping DELETE /api/v2/dbrps/{dbrpID} Delete a database retention policy GET /api/v2/dbrps/{dbrpID} Retrieve a database retention policy mapping PATCH /api/v2/dbrps/{dbrpID} Update a database retention policy mapping POST /api/v2/delete Delete data GET /api/v2/flags Retrieve feature flags GET /api/v2/labels List all labels POST /api/v2/labels Create a label DELETE /api/v2/labels/{labelID} Delete a label GET /api/v2/labels/{labelID} Retrieve a label PATCH /api/v2/labels/{labelID} Update a label GET /api/v2/me Retrieve the currently authenticated user PUT /api/v2/me/password Update a password GET /api/v2/notificationEndpoints List all notification endpoints POST /api/v2/notificationEndpoints Add a notification endpoint DELETE /api/v2/notificationEndpoints/{endpointID} Delete a notification endpoint GET /api/v2/notificationEndpoints/{endpointID} Retrieve a notification endpoint PATCH /api/v2/notificationEndpoints/{endpointID} Update a notification endpoint PUT /api/v2/notificationEndpoints/{endpointID} Update a notification endpoint GET /api/v2/notificationEndpoints/{endpointID}/labels List all labels for a notification endpoint POST /api/v2/notificationEndpoints/{endpointID}/labels Add a label to a notification endpoint DELETE /api/v2/notificationEndpoints/{endpointID}/labels/{labelID} Delete a label from a notification endpoint GET /api/v2/notificationRules List all notification rules POST /api/v2/notificationRules Add a notification rule DELETE /api/v2/notificationRules/{ruleID} Delete a notification rule GET /api/v2/notificationRules/{ruleID} Retrieve a notification rule PATCH /api/v2/notificationRules/{ruleID} Update a notification rule PUT /api/v2/notificationRules/{ruleID} Update a notification rule GET /api/v2/notificationRules/{ruleID}/labels List all labels for a notification rule POST /api/v2/notificationRules/{ruleID}/labels Add a label to a notification rule DELETE /api/v2/notificationRules/{ruleID}/labels/{labelID} Delete label from a notification rule GET /api/v2/notificationRules/{ruleID}/query Retrieve a notification rule query GET /api/v2/orgs List organizations GET /api/v2/orgs List organizations POST /api/v2/orgs Create an organization DELETE /api/v2/orgs/{orgID} Delete an organization GET /api/v2/orgs/{orgID} Retrieve an organization GET /api/v2/orgs/{orgID} Retrieve an organization PATCH /api/v2/orgs/{orgID} Update an organization GET /api/v2/orgs/{orgID}/members List all members of an organization GET /api/v2/orgs/{orgID}/members List all members of an organization POST /api/v2/orgs/{orgID}/members Add a member to an organization DELETE /api/v2/orgs/{orgID}/members/{userID} Remove a member from an organization DELETE /api/v2/orgs/{orgID}/members/{userID} Remove a member from an organization GET /api/v2/orgs/{orgID}/owners List all owners of an organization GET /api/v2/orgs/{orgID}/owners List all owners of an organization POST /api/v2/orgs/{orgID}/owners Add an owner to an organization DELETE /api/v2/orgs/{orgID}/owners/{userID} Remove an owner from an organization DELETE /api/v2/orgs/{orgID}/owners/{userID} Remove an owner from an organization GET /api/v2/orgs/{orgID}/secrets List all secret keys for an organization GET /api/v2/orgs/{orgID}/secrets List all secret keys for an organization PATCH /api/v2/orgs/{orgID}/secrets Update secrets in an organization DELETE /api/v2/orgs/{orgID}/secrets/{secretID} Delete a secret from an organization DELETE /api/v2/orgs/{orgID}/secrets/{secretID} Delete a secret from an organization POST /api/v2/orgs/{orgID}/secrets/delete Delete secrets from an organization POST /api/v2/orgs/{orgID}/secrets/delete Delete secrets from an organization POST /api/v2/query Query data POST /api/v2/query/analyze Analyze a Flux query POST /api/v2/query/ast Generate a query Abstract Syntax Tree (AST) GET /api/v2/query/suggestions List Flux query suggestions GET /api/v2/query/suggestions/{name} Retrieve a query suggestion for a branching suggestion GET /api/v2/remotes List all remote connections POST /api/v2/remotes Register a new remote connection DELETE /api/v2/remotes/{remoteID} Delete a remote connection GET /api/v2/remotes/{remoteID} Retrieve a remote connection PATCH /api/v2/remotes/{remoteID} Update a remote connection GET /api/v2/replications List all replications POST /api/v2/replications Register a new replication DELETE /api/v2/replications/{replicationID} Delete a replication GET /api/v2/replications/{replicationID} Retrieve a replication PATCH /api/v2/replications/{replicationID} Update a replication POST /api/v2/replications/{replicationID}/validate Validate a replication GET /api/v2/resources List all known resources GET /api/v2/resources List all known resources POST /api/v2/restore/bucket/{bucketID} Overwrite storage metadata for a bucket with shard info from a backup. POST /api/v2/restore/bucketMetadata Create a new bucket pre-seeded with shard info from a backup. POST /api/v2/restore/kv Overwrite the embedded KV store on the server with a backed-up snapshot. POST /api/v2/restore/shards/{shardID} Restore a TSM snapshot into a shard. POST /api/v2/restore/sql Overwrite the embedded SQL store on the server with a backed-up snapshot. GET /api/v2/scrapers List all scraper targets POST /api/v2/scrapers Create a scraper target DELETE /api/v2/scrapers/{scraperTargetID} Delete a scraper target GET /api/v2/scrapers/{scraperTargetID} Retrieve a scraper target PATCH /api/v2/scrapers/{scraperTargetID} Update a scraper target GET /api/v2/scrapers/{scraperTargetID}/labels List all labels for a scraper target POST /api/v2/scrapers/{scraperTargetID}/labels Add a label to a scraper target DELETE /api/v2/scrapers/{scraperTargetID}/labels/{labelID} Delete a label from a scraper target GET /api/v2/scrapers/{scraperTargetID}/members List all users with member privileges for a scraper target POST /api/v2/scrapers/{scraperTargetID}/members Add a member to a scraper target DELETE /api/v2/scrapers/{scraperTargetID}/members/{userID} Remove a member from a scraper target GET /api/v2/scrapers/{scraperTargetID}/owners List all owners of a scraper target POST /api/v2/scrapers/{scraperTargetID}/owners Add an owner to a scraper target DELETE /api/v2/scrapers/{scraperTargetID}/owners/{userID} Remove an owner from a scraper target GET /api/v2/setup Check if database has default user, org, bucket POST /api/v2/setup Set up initial user, org and bucket POST /api/v2/signin Create a user session. POST /api/v2/signin Create a user session. POST /api/v2/signout Expire a user session POST /api/v2/signout Expire a user session GET /api/v2/sources List all sources POST /api/v2/sources Create a source DELETE /api/v2/sources/{sourceID} Delete a source GET /api/v2/sources/{sourceID} Retrieve a source PATCH /api/v2/sources/{sourceID} Update a Source GET /api/v2/sources/{sourceID}/buckets Get buckets in a source GET /api/v2/sources/{sourceID}/buckets Get buckets in a source GET /api/v2/sources/{sourceID}/health Get the health of a source GET /api/v2/stacks List installed stacks POST /api/v2/stacks Create a stack DELETE /api/v2/stacks/{stack_id} Delete a stack and associated resources GET /api/v2/stacks/{stack_id} Retrieve a stack PATCH /api/v2/stacks/{stack_id} Update a stack POST /api/v2/stacks/{stack_id}/uninstall Uninstall a stack GET /api/v2/tasks List tasks POST /api/v2/tasks Create a task DELETE /api/v2/tasks/{taskID} Delete a task GET /api/v2/tasks/{taskID} Retrieve a task PATCH /api/v2/tasks/{taskID} Update a task GET /api/v2/tasks/{taskID}/labels List labels for a task POST /api/v2/tasks/{taskID}/labels Add a label to a task DELETE /api/v2/tasks/{taskID}/labels/{labelID} Delete a label from a task GET /api/v2/tasks/{taskID}/logs Retrieve all logs for a task GET /api/v2/tasks/{taskID}/members List all task members POST /api/v2/tasks/{taskID}/members Add a member to a task DELETE /api/v2/tasks/{taskID}/members/{userID} Remove a member from a task GET /api/v2/tasks/{taskID}/owners List all owners of a task POST /api/v2/tasks/{taskID}/owners Add an owner for a task DELETE /api/v2/tasks/{taskID}/owners/{userID} Remove an owner from a task GET /api/v2/tasks/{taskID}/runs List runs for a task POST /api/v2/tasks/{taskID}/runs Start a task run, overriding the schedule DELETE /api/v2/tasks/{taskID}/runs/{runID} Cancel a running task GET /api/v2/tasks/{taskID}/runs/{runID} Retrieve a run for a task. GET /api/v2/tasks/{taskID}/runs/{runID}/logs Retrieve all logs for a run POST /api/v2/tasks/{taskID}/runs/{runID}/retry Retry a task run GET /api/v2/telegraf/plugins List all Telegraf plugins GET /api/v2/telegrafs List all Telegraf configurations POST /api/v2/telegrafs Create a Telegraf configuration DELETE /api/v2/telegrafs/{telegrafID} Delete a Telegraf configuration GET /api/v2/telegrafs/{telegrafID} Retrieve a Telegraf configuration PUT /api/v2/telegrafs/{telegrafID} Update a Telegraf configuration GET /api/v2/telegrafs/{telegrafID}/labels List all labels for a Telegraf config POST /api/v2/telegrafs/{telegrafID}/labels Add a label to a Telegraf config DELETE /api/v2/telegrafs/{telegrafID}/labels/{labelID} Delete a label from a Telegraf config GET /api/v2/telegrafs/{telegrafID}/members List all users with member privileges for a Telegraf config POST /api/v2/telegrafs/{telegrafID}/members Add a member to a Telegraf config DELETE /api/v2/telegrafs/{telegrafID}/members/{userID} Remove a member from a Telegraf config GET /api/v2/telegrafs/{telegrafID}/owners List all owners of a Telegraf configuration POST /api/v2/telegrafs/{telegrafID}/owners Add an owner to a Telegraf configuration DELETE /api/v2/telegrafs/{telegrafID}/owners/{userID} Remove an owner from a Telegraf config POST /api/v2/templates/apply Apply or dry-run a template POST /api/v2/templates/export Export a new template GET /api/v2/users List users GET /api/v2/users List users POST /api/v2/users Create a user DELETE /api/v2/users/{userID} Delete a user GET /api/v2/users/{userID} Retrieve a user GET /api/v2/users/{userID} Retrieve a user PATCH /api/v2/users/{userID} Update a user POST /api/v2/users/{userID}/password Update a password POST /api/v2/users/{userID}/password Update a password PUT /api/v2/users/{userID}/password Update a password PUT /api/v2/users/{userID}/password Update a password GET /api/v2/variables List all variables POST /api/v2/variables Create a variable DELETE /api/v2/variables/{variableID} Delete a variable GET /api/v2/variables/{variableID} Retrieve a variable PATCH /api/v2/variables/{variableID} Update a variable PUT /api/v2/variables/{variableID} Replace a variable GET /api/v2/variables/{variableID}/labels List all labels for a variable POST /api/v2/variables/{variableID}/labels Add a label to a variable DELETE /api/v2/variables/{variableID}/labels/{labelID} Delete a label from a variable POST /api/v2/write Write data

v1-compatible API

Management API

GET /debug/pprof/all Retrieve all runtime profiles GET /debug/pprof/all Retrieve all runtime profiles GET /debug/pprof/allocs Retrieve the memory allocations runtime profile GET /debug/pprof/allocs Retrieve the memory allocations runtime profile GET /debug/pprof/block Retrieve the block runtime profile GET /debug/pprof/block Retrieve the block runtime profile GET /debug/pprof/cmdline Retrieve the command line invocation GET /debug/pprof/cmdline Retrieve the command line invocation GET /debug/pprof/goroutine Retrieve the goroutines runtime profile GET /debug/pprof/goroutine Retrieve the goroutines runtime profile GET /debug/pprof/heap Retrieve the heap runtime profile GET /debug/pprof/heap Retrieve the heap runtime profile GET /debug/pprof/mutex Retrieve the mutual exclusion (mutex) runtime profile GET /debug/pprof/mutex Retrieve the mutual exclusion (mutex) runtime profile GET /debug/pprof/profile Retrieve the CPU runtime profile GET /debug/pprof/profile Retrieve the CPU runtime profile GET /debug/pprof/threadcreate Retrieve the threadcreate runtime profile GET /debug/pprof/threadcreate Retrieve the threadcreate runtime profile GET /debug/pprof/trace Retrieve the runtime execution trace GET /debug/pprof/trace Retrieve the runtime execution trace GET /legacy/authorizations List all legacy authorizations POST /legacy/authorizations Create a legacy authorization DELETE /legacy/authorizations/{authID} Delete a legacy authorization GET /legacy/authorizations/{authID} Retrieve a legacy authorization PATCH /legacy/authorizations/{authID} Update a legacy authorization to be active or inactive POST /legacy/authorizations/{authID}/password Set a legacy authorization password GET /ready Get the readiness of an instance at startup GET /ready Get the readiness of an instance at startup

Was this page helpful?

Thank you for your feedback!